# Class: TextYatta

Defined in: | lib/Frameworks/TextYatta.coffee

## Overview

Framework for Text Datastructures.

## Instance Method Summary

- # (void) getRootElement() @result Word
- # (void) getEngine()
- # (void) getConnector() Get the initialized connector.
- # (void) getHistoryBuffer()
- # (void) getUserId() Get the UserId from the HistoryBuffer object.
- # (void) val()
- # (void) insertText(pos, content)
- # (void) deleteText(pos, length)
- # (void) replaceText(text)

## Constructor Details

# (void) constructor(user_id, Connector)

### Parameters:

- user_id ( `String` ) — Uniqe user id that defines this peer.
- Connector ( `Connector` ) — The connector defines how you connect to the other peers.

## Instance Method Details

# (void) getRootElement()

@result Word

# (void) getEngine()

### See also:

- Engine

# (void) getConnector()

Get the initialized connector.

# (void) getHistoryBuffer()

### See also:

- HistoryBuffer

# (void) getUserId()

Get the UserId from the HistoryBuffer object. In most cases this will be the same as the user_id value with which JsonYatta was initialized (Depending on the HistoryBuffer implementation).

# (void) val()

### See also:

- JsonType.val

# (void) insertText(pos, content)

### See also:

- Word.insertText

# (void) deleteText(pos, length)

### See also:

- Word.deleteText

# (void) replaceText(text)

### See also:

- Word.replaceText

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input